Index: FCKeditor.Java/trunk/pom.xml
===================================================================
--- FCKeditor.Java/trunk/pom.xml	(revision 5442)
+++ FCKeditor.Java/trunk/pom.xml	(revision 5498)
@@ -3,33 +3,169 @@
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
  * Copyright (C) 2004-2010 Frederico Caldeira Knabben
- * 
+ *
  * == BEGIN LICENSE ==
- * 
+ *
  * Licensed under the terms of any of the following licenses at your
  * choice:
- * 
+ *
  *  - GNU General Public License Version 2 or later (the "GPL")
  *    http://www.gnu.org/licenses/gpl.html
- * 
+ *
  *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
  *    http://www.gnu.org/licenses/lgpl.html
- * 
+ *
  *  - Mozilla Public License Version 1.1 or later (the "MPL")
  *    http://www.mozilla.org/MPL/MPL-1.1.html
- * 
+ *
  * == END LICENSE ==
  * @version: $Id$
 -->
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
+
 	<groupId>net.fckeditor</groupId>
 	<artifactId>fckeditor-java</artifactId>
 	<version>2.7-SNAPSHOT</version>
 	<packaging>pom</packaging>
+
+	<name>FCKeditor.Java Integration</name>
+	<description>
+		The FCKeditor.Java Integration fosters the entire project
+		documentation, the Java library, and a drop-in demo webapp. All
+		three depict and enable you to learn and to integrate the
+		FCKeditor in your web environment.
+	</description>
+	<url>http://java.fckeditor.net</url>
+	<inceptionYear>2004</inceptionYear>
+	<organization>
+		<name>Frederico Caldeira Knabben</name>
+		<url>http://www.fredck.com</url>
+	</organization>
+	<licenses>
+		<license>
+			<name>GPL, LGPL, MPL</name>
+			<url>LICENSE.txt</url>
+		</license>
+	</licenses>
+
+	<developers>
+		<developer>
+			<id>fredck</id>
+			<name>Frederico Caldeira Knabben</name>
+			<url>http://www.fredck.com</url>
+			<organization>FredCK.com</organization>
+			<organizationUrl>http://www.fredck.com</organizationUrl>
+			<roles>
+				<role>Head Project Manager</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+		<developer>
+			<id>th-schwarz</id>
+			<name>Thilo Schwarz</name>
+			<email>thilo.schwarz AT gmail.com</email>
+			<url>http://www.s-th.info</url>
+			<organization>Poor Man's CMS</organization>
+			<organizationUrl>http://poormans.sf.net</organizationUrl>
+			<roles>
+				<role>Project Manager</role>
+				<role>Developer</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+		<developer>
+			<id>mosipov</id>
+			<name>Michael Osipov</name>
+			<email>michael-o AT users.sourceforge.net</email>
+			<roles>
+				<role>Project Manager</role>
+				<role>Developer</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+	</developers>
+
+	<mailingLists>
+		<mailingList>
+			<name>FCKeditor Developers List</name>
+			<subscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-developers
+			</subscribe>
+			<unsubscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-developers
+			</unsubscribe>
+			<archive>
+				http://sourceforge.net/mailarchive/forum.php?forum_name=fckeditor-developers
+			</archive>
+		</mailingList>
+		<mailingList>
+			<name>FCKeditor Testers List</name>
+			<subscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-testers
+			</subscribe>
+			<unsubscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-testers
+			</unsubscribe>
+			<archive>
+				http://sourceforge.net/mailarchive/forum.php?forum_name=fckeditor-testers
+			</archive>
+		</mailingList>
+		<mailingList>
+			<name>FCKeditor Trac Activity</name>
+			<subscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-trac
+			</subscribe>
+			<unsubscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-trac
+			</unsubscribe>
+		</mailingList>
+		<mailingList>
+			<name>FCKeditor Commits List</name>
+			<subscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-commits
+			</subscribe>
+			<unsubscribe>
+				https://lists.sourceforge.net/lists/listinfo/fckeditor-commits
+			</unsubscribe>
+		</mailingList>
+	</mailingLists>
+
+	<prerequisites>
+		<maven>${mavenVersion}</maven>
+	</prerequisites>
+
 	<modules>
 		<module>java-core</module>
 		<module>java-demo</module>
 	</modules>
+
+	<scm>
+		<connection>
+			scm:svn:http://svn.fckeditor.net/FCKeditor.Java/trunk
+		</connection>
+		<developerConnection>
+			scm:svn:https://svn.fckeditor.net/FCKeditor.Java/trunk
+		</developerConnection>
+		<url>http://dev.fckeditor.net/browser/FCKeditor.Java/trunk</url>
+	</scm>
+	<issueManagement>
+		<system>Trac</system>
+		<url>http://dev.fckeditor.net/</url>
+	</issueManagement>
+	<distributionManagement>
+		<repository>
+			<id>local-java.fckeditor.net</id>
+			<url>file:///home/mosipov/public_html/m2repo</url>
+		</repository>
+		<snapshotRepository>
+			<id>local-java.fckeditor.net</id>
+			<url>file:///home/mosipov/public_html/m2repo-snapshots</url>
+		</snapshotRepository>
+		<site>
+			<id>local-java.fckeditor.net</id>
+			<url>file:///home/mosipov/public_html/docs</url>
+		</site>
+	</distributionManagement>
+
 	<properties>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
@@ -42,4 +178,5 @@
 		<mavenVersion>2.0.10</mavenVersion>
 	</properties>
+
 	<build>
 		<defaultGoal>package</defaultGoal>
@@ -65,7 +202,9 @@
 							</manifestEntries>
 						</archive>
-						<!-- This can be disabled right now because javadoc plugin inherits
-							from reports an we have only one module with javadoc. -->
-						<!-- 
+						<!-- ============================================================ -->
+						<!-- This can be disabled for now because javadoc plugin inherits -->
+						<!-- from reports an we have only one module with javadoc.        -->
+						<!-- ============================================================ -->
+						<!--
 						<quiet>true</quiet>
 						<show>package</show>
@@ -270,133 +409,3 @@
 		</plugins>
 	</reporting>
-
-	<name>FCKeditor.Java Integration</name>
-	<description>
-		The FCKeditor.Java Integration fosters the entire project
-		documentation, the Java library, and a drop-in demo webapp. All
-		three depict and enable you to learn and to integrate the
-		FCKeditor in your web environment.
-	</description>
-	<url>http://java.fckeditor.net</url>
-	<inceptionYear>2004</inceptionYear>
-	<licenses>
-		<license>
-			<name>GPL, LGPL, MPL</name>
-			<url>LICENSE.txt</url>
-		</license>
-	</licenses>
-	<organization>
-		<name>Frederico Caldeira Knabben</name>
-		<url>http://www.fredck.com</url>
-	</organization>
-	<developers>
-		<developer>
-			<id>fredck</id>
-			<name>Frederico Caldeira Knabben</name>
-			<url>http://www.fredck.com</url>
-			<organization>FredCK.com</organization>
-			<organizationUrl>http://www.fredck.com</organizationUrl>
-			<roles>
-				<role>Head Project Manager</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-		<developer>
-			<id>th-schwarz</id>
-			<name>Thilo Schwarz</name>
-			<email>thilo.schwarz AT gmail.com</email>
-			<url>http://www.s-th.info</url>
-			<organization>Poor Man's CMS</organization>
-			<organizationUrl>http://poormans.sf.net</organizationUrl>
-			<roles>
-				<role>Project Manager</role>
-				<role>Developer</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-		<developer>
-			<id>mosipov</id>
-			<name>Michael Osipov</name>
-			<email>michael-o AT users.sourceforge.net</email>
-			<roles>
-				<role>Project Manager</role>
-				<role>Developer</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-	</developers>
-	<issueManagement>
-		<system>Trac</system>
-		<url>http://dev.fckeditor.net/</url>
-	</issueManagement>
-	<mailingLists>
-		<mailingList>
-			<name>FCKeditor Developers List</name>
-			<subscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-developers
-			</subscribe>
-			<unsubscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-developers
-			</unsubscribe>
-			<archive>
-				http://sourceforge.net/mailarchive/forum.php?forum_name=fckeditor-developers
-			</archive>
-		</mailingList>
-		<mailingList>
-			<name>FCKeditor Testers List</name>
-			<subscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-testers
-			</subscribe>
-			<unsubscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-testers
-			</unsubscribe>
-			<archive>
-				http://sourceforge.net/mailarchive/forum.php?forum_name=fckeditor-testers
-			</archive>
-		</mailingList>
-		<mailingList>
-			<name>FCKeditor Trac Activity</name>
-			<subscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-trac
-			</subscribe>
-			<unsubscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-trac
-			</unsubscribe>
-		</mailingList>
-		<mailingList>
-			<name>FCKeditor Commits List</name>
-			<subscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-commits
-			</subscribe>
-			<unsubscribe>
-				https://lists.sourceforge.net/lists/listinfo/fckeditor-commits
-			</unsubscribe>
-		</mailingList>
-	</mailingLists>
-	<scm>
-		<connection>
-			scm:svn:http://svn.fckeditor.net/FCKeditor.Java/trunk
-		</connection>
-		<developerConnection>
-			scm:svn:https://svn.fckeditor.net/FCKeditor.Java/trunk
-		</developerConnection>
-		<url>http://dev.fckeditor.net/browser/FCKeditor.Java/trunk</url>
-	</scm>
-	<prerequisites>
-		<maven>${mavenVersion}</maven>
-	</prerequisites>
-	<distributionManagement>
-		<repository>
-			<id>local-java.fckeditor.net</id>
-			<url>file:///home/mosipov/public_html/m2repo</url>
-		</repository>
-		<snapshotRepository>
-			<id>local-java.fckeditor.net</id>
-			<url>file:///home/mosipov/public_html/m2repo-snapshots</url>
-		</snapshotRepository>
-		<site>
-			<id>local-java.fckeditor.net</id>
-			<url>file:///home/mosipov/public_html/docs</url>
-		</site>
-	</distributionManagement>
 </project>