Index: CKEditor/branches/versions/3.3.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5524)
+++ CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5529)
@@ -47,6 +47,20 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4968">#4968</a> : Config entry 'contentsLangDirection' now has a default value 'ui' which inherit language direction from editor's (UI) language.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/635">#635</a> : Open properties dialog when double clicking on objects.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4649">#4649</a> : Accessible color picker dialog.</li>
+	</ul>
+	<p>
+		Fixed issues:</p>
+	<ul>
+		<li><a href="http://dev.fckeditor.net/ticket/5562">#5562</a> : [IE] Unable to have "contentEditable:false" in effect in IE8 stricts mode.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5660">#5660</a> : [Firefox] Native error when focus an maximized editor.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5673">#5673</a> : [Firefox] Tab key have to press twice to focus the editor.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5746">#5746</a> : [Firefox] Form elements (input/textarea) because editable and cause problem in wysiwyg mode.</li>
+	</ul>
+<h3>
+		CKEditor 3.2.2 (SVN)</h3>
+	<p>
+		New features:</p>
+	<ul>
 		<li><a href="http://dev.fckeditor.net/ticket/3593">#3593</a> : Apply contentEditable="true" instead of designMode="on" to allow creating uneditable content elements in all browsers.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4649">#4649</a> : Accessible color picker dialog.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4231">#4231</a> : Option to restrict manual resizing of the editor to only one direction with config.resize_dir.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5479">#5479</a> : Classic asp integration file and samples.</li>
@@ -76,6 +90,4 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5578">#5578</a> : Add flash fake element align property when switch mode (source to wysiwyg).</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5577">#5577</a> : Update delete column behavior when choose mutiple cells in the same column.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5562">#5562</a> : [IE] Unable to have "contentEditable:false" in effect in IE8 stricts mode.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5660">#5660</a> : [Firefox] Native error when focus an maximized editor.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5512">#5512</a> : Open context menu with SHIFT+F10 doesn't get correct editor selection.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5433">#5433</a> : English protocol text directions in Link dialog are not incorrect in 'rtl' UI languages.</li>
@@ -92,5 +104,4 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5617">#5617</a> : Html filter system does not allow two 'text' filter rules.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5663">#5663</a> : General memory clean up after destroying last instance.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5673">#5673</a> : [Firefox] Tab key have to press twice to focus the editor.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5461">#5461</a> : [IE] Fix Paste from Word dialog doesn't accept imput problem.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5676">#5676</a> : Make color buttons use RRGGBB instead of RGB for better compatibility with IE.</li>
@@ -100,5 +111,4 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5688">#5688</a> : Duplicate ids are used in dialog definition.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5719">#5719</a> : [IE] 'change' dialog event should not be triggered when dialog is already closed.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5746">#5746</a> : [Firefox] Form elements (input/textarea) because editable and cause problem in wysiwyg mode.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5747">#5747</a> : [IE] Error thrown when IE input field editing mode is turned on.</li>
 		<li>SCAYT plugin related:<ul>