Index: CKEditor/branches/versions/3.3.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5531)
@@ -40,4 +40,5 @@
 		New features:</p>
 	<ul>
+		<li><a href="http://dev.fckeditor.net/ticket/3593">#3593</a> : Apply contentEditable="true" instead of designMode="on" to allow creating uneditable content elements in all browsers.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4358">#4358</a> : Aligning <b>List Properties</b> dialog with FCKEditor 2.x.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5485">#5485</a> : Adding the <b>contentsLanguage</b> configuration option.</li>
@@ -62,32 +63,32 @@
 		New features:</p>
 	<ul>
-		<li><a href="http://dev.fckeditor.net/ticket/3593">#3593</a> : Apply contentEditable="true" instead of designMode="on" to allow creating uneditable content elements in all browsers.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4231">#4231</a> : Option to restrict manual resizing of the editor to only one direction with config.resize_dir.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5479">#5479</a> : Classic asp integration file and samples.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5631">#5631</a> : Configurable SCAYT context menu options position.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5024">#5024</a> : Added sample to show how to output HTML using fonts and other attributes instead of styles.</li>
-	</ul>
-	<p>
-		Fixed issues:</p>
-	<ul>
-		<li><a href="http://dev.fckeditor.net/ticket/5330">#5330</a> : Corrected detection of Ctrl and Meta keys in Macs for the context menu.</li>
+		<li>The SCAYT spell checker is now enabled by default through the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.scayt_autoStartup">autoStartup</a> setting.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5631">#5631</a> : The SCAYT context menu options can now be reorganized through the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.scayt_contextMenuItemsOrder">scayt_contextMenuItemsOrder</a> setting.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4231">#4231</a> : Introducing the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.resize_dir">resize_dir setting</a>, to be able to restrict manual resizing of the editor to only one direction (horizontal/vertical).</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5479">#5479</a> : Introducing the classic ASP integration files and samples.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5024">#5024</a> : Added samples (<a href="http://nightly.ckeditor.com/latest/ckeditor/_samples/output_html.html">HTML</a> and <a href="http://nightly.ckeditor.com/latest/ckeditor/_samples/output_xhtml.html">XHTML</a>) to show how to output HTML using fonts and other attributes instead of styles.</li>
+	</ul>
+	<p>
+		Fixed issues:</p>
+	<ul>
+		<li><a href="http://dev.fckeditor.net/ticket/5330">#5330</a> : Corrected detection of CTRL and META keys in Macs for the context menu.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5434">#5434</a> : Fixed access denied issues with IE when accessing web sites through IPv6 IP addresses.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4476">#4476</a> : [IE] Inaccessible empty list item contains sub list.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4881">#4881</a> : [IE] Selection range broken because of cutting a single control type element from it.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5505">#5505</a> : Image dialog throw JavaScript error when click close dialog before preview area is loading.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5144">#5144</a> : [Chrome] Paste in webkit somtimes leaves extra 'div' element.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5021">#5021</a> : [Firefox] Typing in empty document start from second line in enterMode=BR.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5416">#5416</a> : [IE] Delete table throws a error when  CKEDITOR.enterMode = CKEDITOR.ENTER_BR.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5144">#5144</a> : [Chrome] Paste in Webkit sometimes leaves extra 'div' element.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5021">#5021</a> : [Firefox] Typing in empty document start from second line when <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.enterMode">enterMode</a> = CKEDITOR.ENTER_BR.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5416">#5416</a> : [IE] Delete table throws a error when <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.enterMode">enterMode</a> = CKEDITOR.ENTER_BR.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4459">#4459</a> : [IE] Select element is penetrating the maximized editor in IE6.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5559">#5559</a> : [IE] The first call of CKEDITOR.editor::setData is affected by iframe cache when loading wysiwyg mode.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5559">#5559</a> : [IE] The first call to <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#setData">setData</a> is affected by iframe cache when loading the wysiwyg mode.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5567">#5567</a> : [IE] Remove inline styles in some case doesn't join identical siblings.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5450">#5450</a> : [FireFox] Press enter on 'replace' button result wrong.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5121">#5121</a> : Recognizes the &lt;br /&gt; tag as a separator when apply block styles in enterMode=BR.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5575">#5575</a> : CKEDITOR.replaceAll should consider all kind of white spaces between class names.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5450">#5450</a> : [FireFox] Press ENTER on 'replace' button result wrong.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5121">#5121</a> : Recognizes the &lt;br /&gt; tag as a separator when apply block styles and <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.enterMode">enterMode</a> = CKEDITOR.ENTER_BR.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5575">#5575</a> : <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.html#.replaceAll">CKEDITOR.replaceAll</a> should consider all kind of white spaces between class names.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5582">#5582</a> : Prevent the default behavior when click the 'x' button to close dialog box.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5584">#5584</a> : Enter key with forceEnterMode turns on doesn't inherit current block attributes.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4797">#4797</a> : [Opera] Press enter key in dialog fields to close cause JavaScript error.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5584">#5584</a> : ENTER key with <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.forceEnterMode">forceEnterMode</a> turns on doesn't inherit current block attributes.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4797">#4797</a> : [Opera] Press ENTER key in dialog fields to close throws JavaScript error.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5578">#5578</a> : Add flash fake element align property when switch mode (source to wysiwyg).</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5577">#5577</a> : Update delete column behavior when choose mutiple cells in the same column.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5577">#5577</a> : Update delete column behavior when choose multiple cells in the same column.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5512">#5512</a> : Open context menu with SHIFT+F10 doesn't get correct editor selection.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5433">#5433</a> : English protocol text directions in Link dialog are not incorrect in 'rtl' UI languages.</li>
@@ -101,6 +102,6 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5568">#5568</a> : [IE6/7] Selecting a entire table cell changes the original range.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5623">#5623</a> : [Firefox] Apply style that edges another inline style result incorrect.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5586">#5586</a> : [Firefox] Maximize the second editor ruins fullscreen mode.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5617">#5617</a> : Html filter system does not allow two 'text' filter rules.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5586">#5586</a> : [Firefox] Maximize the second editor ruins full screen mode.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5617">#5617</a> : HTML filter system does not allow two 'text' filter rules.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5663">#5663</a> : General memory clean up after destroying last instance.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5461">#5461</a> : [IE] Fix Paste from Word dialog doesn't accept imput problem.</li>
@@ -117,5 +118,5 @@
 			<li><a href="http://dev.fckeditor.net/ticket/5632">#5632</a> : SCAYT word marker is not visible on text with background-color set.</li>
 			<li><a href="http://dev.fckeditor.net/ticket/4125">#4125</a> : Remove Format command incorrectly removes SCAYT word markers.</li>
-			<li><a href="http://dev.fckeditor.net/ticket/5671">#5671</a> : SCAYT bookstrap script could be added multiple times unnecessarily.</li>
+			<li><a href="http://dev.fckeditor.net/ticket/5671">#5671</a> : SCAYT bootstrap script could be added multiple times unnecessarily.</li>
 			<li><a href="http://dev.fckeditor.net/ticket/5573">#5573</a> : SCAYT move cursor position after insert element into marked word text.</li>
 			<li><a href="http://dev.fckeditor.net/ticket/5546">#5546</a> : SCAYT interferes with undo/redo commands.</li>
@@ -220,5 +221,5 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5261">#5261</a> : Config option 'scayt_autoStartup' slow down editor loading.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3846">#3846</a> : Google Chrome - No Img properties after inserting.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/5465">#5465</a> : ShiftEnter=DIV doesn't respect list item when pressing enter at end of list item.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5465">#5465</a> : ShiftEnter=DIV doesn't respect list item when pressing ENTER at end of list item.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5454">#5454</a> : After replaced success, the popup window couldn't be closed and a js error occured.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4784">#4784</a> : Incorrect cursor position after delete table cells.</li>
Index: CKEditor/branches/versions/3.3.x/_samples/output_html.html
===================================================================
--- CKEditor/branches/versions/3.3.x/_samples/output_html.html	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_samples/output_html.html	(revision 5531)
@@ -187,11 +187,11 @@
 					if ( element.name == 'p' )
 					{
-						var style = element.attributes.style;
+						style = element.attributes.style;
 
 						if ( style )
 						{
 							// Get the align from the style.
-							var match = /(?:^|\s)text-align\s*:\s*(\w*);/i.exec( style ),
-								align = match && match[1];
+							match = /(?:^|\s)text-align\s*:\s*(\w*);/i.exec( style );
+							var align = match && match[1];
 
 							if ( align )
@@ -203,5 +203,5 @@
 					}
 
-					if ( element.attributes.style == '' )
+					if ( !element.attributes.style )
 						delete element.attributes.style;
 
Index: CKEditor/branches/versions/3.3.x/_source/core/dom/element.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dom/element.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/core/dom/element.js	(revision 5531)
@@ -940,12 +940,12 @@
 
 			return function()
-			{
-				// Merge empty links and anchors also. (#5567)
-				if ( !( CKEDITOR.dtd.$removeEmpty[ this.getName() ] || this.is( 'a' ) ) )
-					return;
-
-				mergeElements( this, this.getNext(), true );
-				mergeElements( this, this.getPrevious() );
-			}
+				{
+					// Merge empty links and anchors also. (#5567)
+					if ( !( CKEDITOR.dtd.$removeEmpty[ this.getName() ] || this.is( 'a' ) ) )
+						return;
+
+					mergeElements( this, this.getNext(), true );
+					mergeElements( this, this.getPrevious() );
+				};
 		} )(),
 
Index: CKEditor/branches/versions/3.3.x/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/dialog/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/dialog/plugin.js	(revision 5531)
@@ -1658,5 +1658,5 @@
 			if ( CKEDITOR.env.ie6Compat )
 			{
-				var coverDoc = coverElement.getChild( 0 ).getFrameDocument();
+				var coverDoc = currentCover.getChild( 0 ).getFrameDocument();
 				coverDoc.on( 'mousemove', mouseMoveHandler, dialog, { part : partName } );
 				coverDoc.on( 'mouseup', mouseUpHandler, dialog, { part : partName } );
@@ -1729,5 +1729,5 @@
 			if ( CKEDITOR.env.ie6Compat )
 			{
-				var coverDoc = coverElement.getChild( 0 ).getFrameDocument();
+				var coverDoc = currentCover.getChild( 0 ).getFrameDocument();
 				coverDoc.removeListener( 'mouseup', mouseUpHandler );
 				coverDoc.removeListener( 'mousemove', mouseMoveHandler );
@@ -1870,5 +1870,5 @@
 			scrollFunc();
 		}
-	};
+	}
 
 	function hideCover()
@@ -1890,5 +1890,5 @@
 		}
 		resizeCover = null;
-	};
+	}
 	
 	function removeCovers()
@@ -2804,5 +2804,5 @@
 		{
 			var currentTopDialog;
-			while ( currentTopDialog = CKEDITOR.dialog._.currentTop )
+			while ( ( currentTopDialog = CKEDITOR.dialog._.currentTop ) )
 				currentTopDialog.hide();
 			removeCovers();
Index: CKEditor/branches/versions/3.3.x/_source/plugins/enterkey/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/enterkey/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/enterkey/plugin.js	(revision 5531)
@@ -112,5 +112,6 @@
 				if ( !newBlock )
 					newBlock = doc.createElement( blockTag );
-				else if ( forceMode )
+				// Force the enter block unless we're talking of a list item. 
+				else if ( forceMode && !newBlock.is( 'li' ) )
 					newBlock.renameNode( blockTag );
 
Index: CKEditor/branches/versions/3.3.x/_source/plugins/image/dialogs/image.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/image/dialogs/image.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/image/dialogs/image.js	(revision 5531)
@@ -120,5 +120,5 @@
 			// Dialog may already closed. (#5505)
 			if( !oImageOriginal )
-				return;
+				return null;
 
 			var ratioButton = CKEDITOR.document.getById( btnLockSizesId );
Index: CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/dialogs/liststyle.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/dialogs/liststyle.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/dialogs/liststyle.js	(revision 5531)
@@ -64,5 +64,5 @@
 								{
 									var value = this.getValue();
-									if ( value != '' )
+									if ( value )
 										element.setStyle( 'list-style-type', value );
 									else 
@@ -87,5 +87,5 @@
 					element && this.commitContent( element );
 				}
-			}
+			};
 		}
 		else if ( startupPage == 'numberedListStyle'  )
@@ -149,5 +149,5 @@
 										{
 											var value = this.getValue();
-											if ( value != '' ) 
+											if ( value ) 
 												element.setStyle( 'list-style-type', value );
 											else 
@@ -174,7 +174,7 @@
 					element && this.commitContent( element );
 				}
-			}
+			};
 		}
-	};
+	}
 	
 	CKEDITOR.dialog.add( 'numberedListStyle', function( editor )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/liststyle/plugin.js	(revision 5531)
@@ -46,14 +46,12 @@
 							return null;
 						
-						if ( element.getAscendant( 'ol') ) {
-							return { numberedlist: CKEDITOR.TRISTATE_OFF }
-						}
-						if ( element.getAscendant( 'ul' ) ) {
-							return { bulletedlist: CKEDITOR.TRISTATE_OFF }
-						}
-					} );
+						if ( element.getAscendant( 'ol') )
+							return { numberedlist: CKEDITOR.TRISTATE_OFF };
+
+						if ( element.getAscendant( 'ul' ) )
+							return { bulletedlist: CKEDITOR.TRISTATE_OFF };
+					});
 			}
 		}
-
 	};
 	
Index: CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js	(revision 5531)
@@ -110,5 +110,5 @@
 	{
 		if ( !CKEDITOR.env.ie || CKEDITOR.env.version > 6 )
-			return;
+			return null;
 
 		var shim = CKEDITOR.dom.element.createFromHtml( '<iframe frameborder="0" tabindex="-1"' +
@@ -148,5 +148,5 @@
 				shim && shim.setStyles( { width : viewPaneSize.width + 'px', height : viewPaneSize.height + 'px' } );
 				editor.resize( viewPaneSize.width, viewPaneSize.height, null, true );
-			};
+			}
 
 			// Retain state after mode switches.
Index: CKEditor/branches/versions/3.3.x/_source/plugins/resize/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/resize/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/resize/plugin.js	(revision 5531)
@@ -136,5 +136,6 @@
 
 /**
- * The directions where resizing is enabled. It can be 'both', 'vertical' or 'horizontal'
+ * The directions to which the editor resizing is enabled. Possible values
+ * are "both", "vertical" and "horizontal".
  * @type String
  * @default 'both'
@@ -143,4 +144,3 @@
  * config.resize_dir = 'vertical';
  */
-
 CKEDITOR.config.resize_dir = 'both';
Index: CKEditor/branches/versions/3.3.x/_source/plugins/scayt/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/scayt/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/scayt/plugin.js	(revision 5531)
@@ -147,5 +147,5 @@
 				// Catch on source mode switch off (#5720)
 				else if ( ev.data.name == 'source'  && editor.mode == 'source' )
-					plugin.markControlRestore( editor )
+					plugin.markControlRestore( editor );
 			});
 
@@ -278,5 +278,5 @@
 				otherImage.contents = otherContents;
 				return retval;
-			}
+			};
 		});
 		
@@ -324,5 +324,5 @@
 					this.controlInfo[ editor.name ].id )
 			{
-				return this.controlInfo[ editor.name ].id
+				return this.controlInfo[ editor.name ].id;
 			}
 			return null;
@@ -494,6 +494,8 @@
 
 			if ( items_order && items_order.length )
+			{
 				for ( var pos in items_order )
-					items_order_str += 'scayt_' + items_order[ pos ] + ( items_order.length != parseInt( pos ) + 1 ? ',' : '' );
+					items_order_str += 'scayt_' + items_order[ pos ] + ( items_order.length != parseInt( pos, 10 ) + 1 ? ',' : '' );
+			}
 
 			// Register scayt rbc menu group.
@@ -762,5 +764,5 @@
 						command.setState( plugin.isScaytEnabled( editor ) ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
 					else
-						command.setState( CKEDITOR.TRISTATE_DISABLED )
+						command.setState( CKEDITOR.TRISTATE_DISABLED );
 				};
 
Index: CKEditor/branches/versions/3.3.x/_source/plugins/tabletools/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/tabletools/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/tabletools/plugin.js	(revision 5531)
@@ -307,5 +307,5 @@
 			var table = selectionOrCell.getAscendant( 'table' );
 			if ( !table )
-				return;
+				return null;
 
 			// Get the cell index.
@@ -333,4 +333,6 @@
 			}
 		}
+		
+		return null;
 	}
 
Index: CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js	(revision 5529)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js	(revision 5531)
@@ -615,5 +615,5 @@
 							},
 							0 );
-					};
+					}
 
 					editor.addMode( 'wysiwyg',