Index: CKEditor/branches/versions/3.3.x/_source/core/dom/elementpath.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dom/elementpath.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/core/dom/elementpath.js	(revision 5539)
@@ -111,5 +111,5 @@
 				return elements[ i ];
 		}
-		
+
 		return null;
 	}
Index: CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js	(revision 5539)
@@ -246,5 +246,5 @@
 				return id + CKEDITOR.tools.getNextNumber();
 			},
-			hicolorId = numbering( 'hicolor' ),	
+			hicolorId = numbering( 'hicolor' ),
 			hicolorTextId = numbering( 'hicolortext' ),
 			selHiColorId = numbering( 'selhicolor' );
Index: CKEditor/branches/versions/3.3.x/_source/plugins/flash/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/flash/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/flash/plugin.js	(revision 5539)
@@ -77,13 +77,13 @@
 					});
 			}
-			
+
 			editor.on( 'doubleclick', function( evt )
 				{
 					var element = evt.data.element;
-					
-					if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'flash' ) 
+
+					if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'flash' )
 						evt.data.dialog = 'flash';
 				});
-				
+
 			// If the "contextmenu" plugin is loaded, register the listeners.
 			if ( editor.contextMenu )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/forms/dialogs/hiddenfield.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/forms/dialogs/hiddenfield.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/forms/dialogs/hiddenfield.js	(revision 5539)
@@ -17,5 +17,5 @@
 				selection = editor.getSelection(),
 				element = selection.getSelectedElement();
-				
+
 			if ( element && element.getAttribute( '_cke_real_element_type' ) && element.getAttribute( '_cke_real_element_type' ) == 'hiddenfield' )
 			{
Index: CKEditor/branches/versions/3.3.x/_source/plugins/forms/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/forms/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/forms/plugin.js	(revision 5539)
@@ -20,10 +20,10 @@
 				'padding: 2px;' +
 			'}\n' );
-		
+
 		editor.addCss(
-			'img.cke_hidden' + 
+			'img.cke_hidden' +
 			'{' +
-				'background-image: url(' + CKEDITOR.getUrl( this.path + 'images/hiddenfield.gif' ) + ');' + 
-				'background-position: center center;' + 
+				'background-image: url(' + CKEDITOR.getUrl( this.path + 'images/hiddenfield.gif' ) + ');' +
+				'background-position: center center;' +
 				'background-repeat: no-repeat;' +
 				'border: 1px solid #a9a9a9;' +
@@ -31,5 +31,5 @@
 				'height: 16px;' +
 			'}' );
-		
+
 		// All buttons use the same code to register. So, to avoid
 		// duplications, let's use this tool function.
@@ -177,10 +177,10 @@
 			{
 				var element = evt.data.element;
-				
+
 				if ( element.is( 'form' ) )
 					evt.data.dialog = 'form';
-				else if ( element.is( 'select' ) ) 
-					evt.data.dialog = 'select';	
-				else if ( element.is( 'textarea' ) ) 
+				else if ( element.is( 'select' ) )
+					evt.data.dialog = 'select';
+				else if ( element.is( 'textarea' ) )
 					evt.data.dialog = 'textarea';
 				else if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'hiddenfield' )
@@ -189,5 +189,5 @@
 				{
 					var type = element.getAttribute( 'type' );
-					
+
 					switch ( type )
 					{
@@ -217,5 +217,5 @@
 			htmlFilter = dataProcessor && dataProcessor.htmlFilter,
 			dataFilter = dataProcessor && dataProcessor.dataFilter;
-		
+
 		// Cleanup certain IE form elements default values.
 		if ( CKEDITOR.env.ie )
@@ -235,19 +235,19 @@
 			} );
 		}
-		
-		if ( dataFilter ) 
-		{ 
-			dataFilter.addRules( 
-			{ 
-				elements : 
-				{ 
-					input : function( element ) 
-					{ 
-						if ( element.attributes.type == 'hidden' ) 
-							return editor.createFakeParserElement( element, 'cke_hidden', 'hiddenfield' ); 
-					} 
-				} 
-			} ); 
-		} 
+
+		if ( dataFilter )
+		{
+			dataFilter.addRules(
+			{
+				elements :
+				{
+					input : function( element )
+					{
+						if ( element.attributes.type == 'hidden' )
+							return editor.createFakeParserElement( element, 'cke_hidden', 'hiddenfield' );
+					}
+				}
+			} );
+		}
 	},
 	requires : [ 'image', 'fakeobjects' ]
Index: CKEditor/branches/versions/3.3.x/_source/plugins/image/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/image/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/image/plugin.js	(revision 5539)
@@ -26,13 +26,13 @@
 				command : pluginName
 			});
-		
+
 		editor.on( 'doubleclick', function( evt )
 			{
 				var element = evt.data.element;
-				
+
 				if ( element.is( 'img' ) && !element.getAttribute( '_cke_realelement' ) )
 					evt.data.dialog = 'image';
 			});
-			
+
 		// If the "menu" plugin is loaded, register the menu items.
 		if ( editor.addMenuItems )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/link/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/link/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/link/plugin.js	(revision 5539)
@@ -65,15 +65,15 @@
 					command.setState( CKEDITOR.TRISTATE_DISABLED );
 			} );
-		
+
 		editor.on( 'doubleclick', function( evt )
 			{
 				var element = CKEDITOR.plugins.link.getSelectedLink( editor ) || evt.data.element;
-				
+
 				if ( element.is( 'a' ) )
 					evt.data.dialog =  ( element.getAttribute( 'name' ) && !element.getAttribute( 'href' ) ) ? 'anchor' : 'link';
-				else if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'anchor' ) 
+				else if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'anchor' )
 					evt.data.dialog = 'anchor';
 			});
-			
+
 		// If the "menu" plugin is loaded, register the menu items.
 		if ( editor.addMenuItems )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/maximize/plugin.js	(revision 5539)
@@ -81,5 +81,5 @@
 	function refreshCursor( editor )
 	{
-		// Refresh all editor instances on the page (#5724). 
+		// Refresh all editor instances on the page (#5724).
 		var all = CKEDITOR.instances;
 		for ( var i in all )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/table/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/table/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/table/plugin.js	(revision 5539)
@@ -45,13 +45,13 @@
 				} );
 		}
-		
+
 		editor.on( 'doubleclick', function( evt )
 			{
 				var element = evt.data.element;
-				
+
 				if ( element.is( 'table' ) )
 					evt.data.dialog = 'tableProperties';
 			});
-			
+
 		// If the "contextmenu" plugin is loaded, register the listeners.
 		if ( editor.contextMenu )
Index: CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js	(revision 5537)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/wysiwygarea/plugin.js	(revision 5539)
@@ -434,5 +434,5 @@
 							data.dialog && editor.openDialog( data.dialog );
 						});
-						
+
 						// Gecko/Webkit need some help when selecting control type elements. (#3448)
 						if ( !( CKEDITOR.env.ie || CKEDITOR.env.opera) )
@@ -497,5 +497,5 @@
 								else if ( CKEDITOR.env.webkit )
 								{
-									// Selection will get lost after move focus 
+									// Selection will get lost after move focus
 									// to document element, save it first.
 									var sel = editor.getSelection(),